net.sf.saxon.regex

## Interface RegularExpression

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    ARegularExpression, JavaRegularExpression

      public interface RegularExpression
      extends Serializable

  This interface represents a compiled regular expression. There are different implementations for different regex engines

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegexIterator` | `analyze(CharSequence input)` Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction.
    `boolean` | `containsMatch(CharSequence input)` Determine whether the regular expression contains a match of a given string
    `boolean` | `matches(CharSequence input)` Determine whether the regular expression matches a given string in its entirety
    `CharSequence` | `replace(CharSequence input, CharSequence replacement)` Replace all substrings of a supplied input string that match the regular expression with a replacement string.
    `SequenceIterator<StringValue>` | `tokenize(CharSequence input)` Use this regular expression to tokenize an input string.

- - ### Method Detail

    - #### matches

          boolean matches(CharSequence input)

      Determine whether the regular expression matches a given string in its entirety
      Parameters:
        `input` - the string to match
      Returns:
        true if the string matches, false otherwise

    - #### containsMatch

          boolean containsMatch(CharSequence input)

      Determine whether the regular expression contains a match of a given string
      Parameters:
        `input` - the string to match
      Returns:
        true if the string matches, false otherwise

    - #### tokenize

          SequenceIterator<StringValue> tokenize(CharSequence input)

      Use this regular expression to tokenize an input string.
      Parameters:
        `input` - the string to be tokenized
      Returns:
        a SequenceIterator containing the resulting tokens, as objects of type StringValue

    - #### analyze

          RegexIterator analyze(CharSequence input)

      Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction. The resulting RegexIterator provides both the matching and non-matching substrings, and allows them to be distinguished. It also provides access to matched subgroups.
      Parameters:
        `input` - the character string to be analyzed using the regular expression
      Returns:
        an iterator over matched and unmatched substrings

    - #### replace

          CharSequence replace(CharSequence input,
                             CharSequence replacement)
                               throws XPathException

      Replace all substrings of a supplied input string that match the regular expression with a replacement string.
      Parameters:
        `input` - the input string on which replacements are to be performed
        `replacement` - the replacement string in the format of the XPath replace() function
      Returns:
        the result of performing the replacement
      Throws:
        `XPathException` - if the replacement string is invalid

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.